EDIT - task #4911

improve performance of distributionInfoFor service
05/18/2015 05:48 PM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal

Description

currently the distributionInfoFor service call is the slowest request for a lot of portals to build up the taxon general page:

for example euro+med Bellis perennis:
http://160.45.63.175/cdmserver/euromed/portal/description/distributionIinfoFor/0eb6ca37-3365-4af5-a800-8fc4b8c366fa.json?statusO
rderPreference=1&subAreaPreference=1&hideMarkedAreas=ae7874dd-374d-4ba2-89a2-90bfd5e35305&part=mapUriParams&part=
tree&omitl evels=38efa5fd-d7f0-451c-9de9-e6cced 1e2225&statusColors={%0D%0A ++++%22p%22%3A+%22%239CDF00%22%2C
%0D%0A++++%22N%22%3A+%22%23008000%22%2C %0D%0A++++%22nd%22%3A+%22%2300FF00%22%2C%0D%0A ++++
%22N0%22%3A+%22%2300¢804%22%2C%0D%0A++++%22{%22%3A+%22%23FFFFFF%22%2C%0D%0A+++4+%22iN%22%3A+
%22%23C86400%22%2C%0D%0A++++%221%22%3A+%22%23C89600%22%2C % 0D %0A ++++%22ip%22%3A+%22%23C89600
%22%2C%0D%0A++++%22ia%22%3A+%22%23c8c800%22%2C %0D%0A++++%22i0%22%3A+%22%23{c896%22%2C%0D %0
A+ +++%22C%22%3A+%22%23ffff00%22%0D%0A} takes 8.416s 2015-05-18 see also git tag 2015-05-18_01

possible improvements:
e avoid term loading in web service controllers, this may be caused by making use of the TermBaseListPropertyEditor

¢ avoiding second distribution filtering when creating the DistributionServiceRequestParameterString, see comment 3

Related issues:

Related to EDIT - feature request #9271: Improve E+M dataportal performance In Progress
Related to EDIT - task #9524: Use non-model objects in database queries for g... In Progress
Related to EDIT - task #10222: Use DTOs for portal taxon page - first impleme... Closed
Related to EDIT - feature request #10322: Use DTOs for portal taxon page (cont.) In Progress
Related to EDIT - feature request #10474: Improve occurrence loading for taxo... New
History

#1 - 05/20/2015 11:28 AM - Andreas Kohlbecker

- Status changed from New to In Progress

#2 - 05/20/2015 01:23 PM - Andreas Kohlbecker
improvements implemented:
e 123851, r23844, r23840,
See also the related improvements made at the AdvancedBeanlnitializer #4919#note-1
#3 - 06/24/2015 02:57 PM - Andreas Kohlbecker
- Target version changed from cdmlib RELEASE 3.5.2 to Release 3.7
this was not closed in Release 3.5.2

Applying another improvement which is only in git at the moment: d798947 (UPDATE: pushed and now also in svn as r24421) - avoiding second
distribution filtering when creating the DistributionServiceRequestParameterString

#4 - 07/20/2015 12:16 PM - Andreas Miiller

- Target version changed from Release 3.7 to Release 3.8
http://160.45.63.175/cdmserver/euromed/portal/description/distributionInfoFor/0eb6ca37-3365-4af5-a800-8fc4b8c366fa.json?statusOrderPreference=1&subAreaPreference=1&hideMarkedAreas=ae7874dd-374d-4ba2-89a2-90bfd5e35305&part=mapUriParams&part=tree&omitLevels=38efa5fd-d7f0-451c-9de9-e6cce41e2225&statusColors=%7B%0D%0A++++%22p%22%3A+%22%239CDF00%22%2C%0D%0A++++%22n%22%3A+%22%23008000%22%2C%0D%0A++++%22nd%22%3A+%22%2300FF00%22%2C%0D%0A++++%22nq%22%3A+%22%2300c8b4%22%2C%0D%0A++++%22f%22%3A+%22%23FFFFFF%22%2C%0D%0A++++%22in%22%3A+%22%23C86400%22%2C%0D%0A++++%22i%22%3A+%22%23C89600%22%2C%0D%0A++++%22ip%22%3A+%22%23C89600%22%2C%0D%0A++++%22ia%22%3A+%22%23c8c800%22%2C%0D%0A++++%22iq%22%3A+%22%23ffc896%22%2C%0D%0A++++%22c%22%3A+%22%23ffff00%22%0D%0A%7D
http://160.45.63.175/cdmserver/euromed/portal/description/distributionInfoFor/0eb6ca37-3365-4af5-a800-8fc4b8c366fa.json?statusOrderPreference=1&subAreaPreference=1&hideMarkedAreas=ae7874dd-374d-4ba2-89a2-90bfd5e35305&part=mapUriParams&part=tree&omitLevels=38efa5fd-d7f0-451c-9de9-e6cce41e2225&statusColors=%7B%0D%0A++++%22p%22%3A+%22%239CDF00%22%2C%0D%0A++++%22n%22%3A+%22%23008000%22%2C%0D%0A++++%22nd%22%3A+%22%2300FF00%22%2C%0D%0A++++%22nq%22%3A+%22%2300c8b4%22%2C%0D%0A++++%22f%22%3A+%22%23FFFFFF%22%2C%0D%0A++++%22in%22%3A+%22%23C86400%22%2C%0D%0A++++%22i%22%3A+%22%23C89600%22%2C%0D%0A++++%22ip%22%3A+%22%23C89600%22%2C%0D%0A++++%22ia%22%3A+%22%23c8c800%22%2C%0D%0A++++%22iq%22%3A+%22%23ffc896%22%2C%0D%0A++++%22c%22%3A+%22%23ffff00%22%0D%0A%7D
http://160.45.63.175/cdmserver/euromed/portal/description/distributionInfoFor/0eb6ca37-3365-4af5-a800-8fc4b8c366fa.json?statusOrderPreference=1&subAreaPreference=1&hideMarkedAreas=ae7874dd-374d-4ba2-89a2-90bfd5e35305&part=mapUriParams&part=tree&omitLevels=38efa5fd-d7f0-451c-9de9-e6cce41e2225&statusColors=%7B%0D%0A++++%22p%22%3A+%22%239CDF00%22%2C%0D%0A++++%22n%22%3A+%22%23008000%22%2C%0D%0A++++%22nd%22%3A+%22%2300FF00%22%2C%0D%0A++++%22nq%22%3A+%22%2300c8b4%22%2C%0D%0A++++%22f%22%3A+%22%23FFFFFF%22%2C%0D%0A++++%22in%22%3A+%22%23C86400%22%2C%0D%0A++++%22i%22%3A+%22%23C89600%22%2C%0D%0A++++%22ip%22%3A+%22%23C89600%22%2C%0D%0A++++%22ia%22%3A+%22%23c8c800%22%2C%0D%0A++++%22iq%22%3A+%22%23ffc896%22%2C%0D%0A++++%22c%22%3A+%22%23ffff00%22%0D%0A%7D
http://160.45.63.175/cdmserver/euromed/portal/description/distributionInfoFor/0eb6ca37-3365-4af5-a800-8fc4b8c366fa.json?statusOrderPreference=1&subAreaPreference=1&hideMarkedAreas=ae7874dd-374d-4ba2-89a2-90bfd5e35305&part=mapUriParams&part=tree&omitLevels=38efa5fd-d7f0-451c-9de9-e6cce41e2225&statusColors=%7B%0D%0A++++%22p%22%3A+%22%239CDF00%22%2C%0D%0A++++%22n%22%3A+%22%23008000%22%2C%0D%0A++++%22nd%22%3A+%22%2300FF00%22%2C%0D%0A++++%22nq%22%3A+%22%2300c8b4%22%2C%0D%0A++++%22f%22%3A+%22%23FFFFFF%22%2C%0D%0A++++%22in%22%3A+%22%23C86400%22%2C%0D%0A++++%22i%22%3A+%22%23C89600%22%2C%0D%0A++++%22ip%22%3A+%22%23C89600%22%2C%0D%0A++++%22ia%22%3A+%22%23c8c800%22%2C%0D%0A++++%22iq%22%3A+%22%23ffc896%22%2C%0D%0A++++%22c%22%3A+%22%23ffff00%22%0D%0A%7D
http://160.45.63.175/cdmserver/euromed/portal/description/distributionInfoFor/0eb6ca37-3365-4af5-a800-8fc4b8c366fa.json?statusOrderPreference=1&subAreaPreference=1&hideMarkedAreas=ae7874dd-374d-4ba2-89a2-90bfd5e35305&part=mapUriParams&part=tree&omitLevels=38efa5fd-d7f0-451c-9de9-e6cce41e2225&statusColors=%7B%0D%0A++++%22p%22%3A+%22%239CDF00%22%2C%0D%0A++++%22n%22%3A+%22%23008000%22%2C%0D%0A++++%22nd%22%3A+%22%2300FF00%22%2C%0D%0A++++%22nq%22%3A+%22%2300c8b4%22%2C%0D%0A++++%22f%22%3A+%22%23FFFFFF%22%2C%0D%0A++++%22in%22%3A+%22%23C86400%22%2C%0D%0A++++%22i%22%3A+%22%23C89600%22%2C%0D%0A++++%22ip%22%3A+%22%23C89600%22%2C%0D%0A++++%22ia%22%3A+%22%23c8c800%22%2C%0D%0A++++%22iq%22%3A+%22%23ffc896%22%2C%0D%0A++++%22c%22%3A+%22%23ffff00%22%0D%0A%7D
https://dev.e-taxonomy.eu/redmine/issues/4919#note-1

#5 - 09/11/2015 01:57 PM - Andreas Kohlbecker

- Target version deleted (Release 3.8)

moving unresolved tickets to next milestone after release of 3.8.0

#6 - 12/18/2015 12:23 PM - Andreas Miiller

- Target version deleted (Release 3.12)

#7 - 05/02/2016 03:12 PM - Andreas Miller

- Target version changed from Release 4.0 to Release 4.1

#8 - 06/01/2016 01:23 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#9 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#10 - 09/23/2016 03:28 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#11 - 12/01/2016 02:17 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#12 - 01/19/2017 01:22 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#13 - 03/17/2017 08:10 AM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#14 - 05/10/2017 06:36 PM - Andreas Miiller
- Description updated

- Private changed from Yes to No

#15 - 05/10/2017 09:08 PM - Andreas Kohlbecker

- Target version changed from Release 4.7 to Release 4.8

#16 - 07/06/2017 10:24 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#17 - 07/21/2017 10:13 AM - Andreas Muller

- Target version changed from Release 4.9 to Release 4.10

#18 - 09/25/2017 12:21 PM - Andreas Kohlbecker

- Target version changed from Release 4.10 to Release 4.11

#19 - 11/08/2017 11:23 AM - Andreas Miuller

- Target version changed from Release 4.11 to Release 4.12

#20 - 12/05/2017 02:05 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#21 - 01/31/2018 12:47 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#22 - 02/15/2018 03:36 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0
#23 - 05/16/2018 11:35 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#24 - 06/28/2018 08:10 AM - Andreas Kohlbecker
- Tags changed from performance to performance, euro+med
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

Hi Andreas, | am passing this issue to you, since you are in the euro+med sprint, 8hhh, long-distance run!

#25 - 08/17/2018 04:03 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#26 - 09/06/2018 10:06 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.5

#27 - 02/14/2019 10:33 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#28 - 02/19/2019 05:21 PM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Release 5.6 to Reviewed Next Major Release

#29 - 11/02/2020 09:48 PM - Andreas Miiller

- Related to feature request #9271: Improve E+M dataportal performance added

#30 - 03/23/2022 10:35 AM - Andreas Miuiller

- Target version changed from Reviewed Next Major Release to Release 5.44

#31 - 03/23/2022 10:57 AM - Andreas Miuiller

- Related to task #9524: Use non-model objects in database queries for getDistributioninfoFor added

#32 - 05/27/2023 10:34 PM - Andreas Miiller
- Related to task #10222: Use DTOs for portal taxon page - first implementation for E+M added

#33 - 05/27/2023 10:34 PM - Andreas Miiller
- Related to feature request #10322: Use DTOs for portal taxon page (cont.) added

#34 - 02/14/2024 10:54 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43

The remaining issues here are probably mostly duplicating #9524.

#35 - 02/16/2024 09:56 AM - Andreas Muiller

- Related to feature request #10474: Improve occurrence loading for taxon page added
